﻿using System;
using Vintagestory.API.Common;
using Vintagestory.API.Datastructures;
using Vintagestory.API.Server;

namespace chattimestamp.src
{
    internal class chattimestamp : ModSystem
    {
        private ICoreServerAPI api;

        public override bool ShouldLoad(EnumAppSide forSide)
        {
            return forSide == EnumAppSide.Server;
        }

        public override void StartServerSide(ICoreServerAPI api)
        {
            this.api = api;
            api.Event.PlayerChat += PlayerChat;
        }

        private void PlayerChat(IServerPlayer byPlayer, int channelId, ref string message, ref string data, BoolRef consumed)
        {
            api.SendMessageToGroup(channelId, "[" + DateTime.Now.ToShortTimeString() + "]" + message, EnumChatType.OthersMessage, data);
            consumed.value = true;
        }
    }
}
